Bug 167536 - tibetan language / fonts support
tibetan language / fonts support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Bill Nottingham
http://www.thdl.org/tools/allfonts.html
: FutureFeature, MoveUpstream
: 197482 (view as bug list)
Depends On: 218342 231911 232176 237369 350051
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-04 14:34 EDT by Jonas Nyman
Modified: 2014-03-16 22:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 02:21:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Manual for Tsamkey tibetan input method (209.78 KB, application/pdf)
2006-03-23 16:11 EST, Jonas Nyman
no flags Details

  None (edit)
Description Jonas Nyman 2005-09-04 14:34:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sv-SE; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Fedora has no support for tibetan and contains neither u-chan nor u-me fonts. web browsers and editors can not show tibetan. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Go to tibetan site e.g. www.learntibetan.net
2.try to se tibetan and fail
3.
  

Actual Results:  seemingly random latin letters and signs instead of tibetan letters. 

Expected Results:  tibetan letters should be shown.

Additional info:
Comment 1 Bill Nottingham 2005-09-06 11:25:26 EDT
Generally, to add fonts, we need to answer the following, taken from
Owen Taylor's post at:
https://listman.redhat.com/archives/rhl-devel-list/2003-August/msg00154.html

 * What set of fonts should be included, each font really should
   be justified as serving a different purpose.

   What I mean by a purpose is:

    - This font looks good on the screen
    - This font exhibits the <X> style of <language> script,
      people expect to have fonts with both the <X> and 
      <Y> styles of scripts available.

   Or whatever.
 
 * For each font, a summary of:
   
   - What is the license of the fonts?
   - Who drew the glyphs? If the font contains Roman characters
     as well, where did they come from?
   - Where did the design of the glyphs come from? (In some countries,
     font designs are patentable or otherwise protected, so a 
     exact copy of an existing commerical font is not a good idea.)
   - Where did the name come from? (Font names are trademarkable)
   
 * Some indication of how useful the bugs are with the software
   we ship currently. Screenshots of what works, and what doesn't
   might be useful.

Comment 2 Jonas Nyman 2006-03-23 09:07:47 EST
The Tibetan and Himalayan digital libraray (http://www.thdl.org/index.html) has
developed fonts for Tibetan, Dzongka and Lhadaki. The fonts are exhibiting the
U-chan typ of writing tibetan languages. Debian has included these fonts.
(http://packages.debian.org/stable/x11/ttf-tmuni).

Copyright and licensing looks like this:
This package was debianized by Tom Soderlund <t-om@iki.fi> on
Mon,  7 Feb 2005 19:49:11 +0200.

It was downloaded from http://iris.lib.virginia.edu/tibet/tools/dls/fonts/

Copyright: The Tibetan Machine Uni font is Copyright (C) 2000, by Tony
Duff; portions Copyright (C) 2004 by the Tibetan and Himalayan Digital
Library.

The font was created by Christopher J. Fynn and Nathaniel D. Garson in
2004.

Upstream Author: THDL Project, http://www.thdl.org/

License:

The Tibetan Machine Uni font is licensed under the terms of the GNU
General Public License.


Comment 3 Bill Nottingham 2006-03-23 12:09:05 EST
Can we get this in Extras for FC5?
Comment 4 Jonas Nyman 2006-03-23 16:11:53 EST
Created attachment 126573 [details]
Manual for Tsamkey tibetan input method
Comment 5 Jonas Nyman 2006-03-23 17:09:43 EST
Kristoffer Lindqvist (kris@tsampa.org) who made the Tsamkey system recommends
the Tibetan Machine Uni system.
http://www.thdl.org/xml/show.php?xml=/tools/tibfonts.xml&l=uva10928423419921 
https://sourceforge.net/projects/thdltools/

I agree, THDL's fonts and software seems very good. 
Comment 6 Bill Nottingham 2006-07-05 13:56:21 EDT
*** Bug 197482 has been marked as a duplicate of this bug. ***
Comment 7 Bill Nottingham 2006-07-05 16:27:10 EDT
OK, so it should work fine in Pango. Added to Extras wishlist, but this could
also be picked up for Core
Comment 8 Leon Ho 2006-07-05 21:08:08 EDT
Hi Jonas, for clearing the legal background of the fonts, could you help us
getting an ownership statement, mainly stating:
   - From the designers of all glyphs within the font and ownership of them
   - the origin of the glyph design or what fonts/glyphs is it inspired from.
   - the owner(s) have granted the license of GPL.

So probably someone need to contact with Tony Duff, Tibetan and Himalayan
Digital Library.

And worth to ask Christopher J. Fynn and Nathaniel D. Garson on their methods on
consolidating/creating the font.

Thanks.
Comment 9 Leon Ho 2006-07-05 21:12:09 EDT
Just to clarify, the ownership statements need to be written by the original
owners (scanned document is great, but email is fine as well). Thanks.
Comment 10 Leon Ho 2006-08-28 01:30:37 EDT
setting NEEDINFO from reporter.
Comment 11 Jonas Nyman 2006-08-28 12:45:05 EDT
Tashi delek.
I found this too: http://babel.uoregon.edu/yamada/fonts/tibetan.html
Christopher Fynn seems to have made these fonts too, they are probably the same
thing.
I will e-mail him and thdl and the Tibetan Government in Exile. And Students for
a Freet Tibet, they have a lot of people who actually can read and speak the
language. 
I'll get back to you. 
Comment 12 Jonas Nyman 2006-08-31 02:44:38 EDT
Below is an e-mail I just recieved from Chris Fynn. By the way, Dzongka is the
language of Bhutan, very similar to tibetan. I have not recieved any replys from
other guys I have e-mailed. Is this information enough for you?
Can someone please check the debian files? I'm not into software things, I would
probably not understand much of it... /Jonas


Hi Jonas

latest Debian Linux development release already includes "Tibetan 
Machine Uni" font which is available under GNU PL from www.thdl.org 
(under tools, fonts).


Tibetan Machine Uni font is  based on an 8-bit font set originally 
designed by Tony Duff (based in turn on the shapes of a 19th century 
metal font made over 100 years ago by the Baptist Mission Press in 
Calcutta). Rights for the 8-bit Tibetan Machine font were purchased from 
Tony Duff by the Trace Foundation, New York (funded by George Soros) and 
the font was placed by them in the public domain under FSF PL.

The Tibetan & Himalayan Library project www.thdl.org - with full 
knowledge & consent of the Trace Foundation & Tony duff - took the 
outlines of this font rescaled it - redrew most glyphs - and added 
thousands of additional glyphs, open type lookup tables etc. Basic Latin 
Glyphs from a URW font - also available under FSF's PL - were also 
included. This work was mostly done by Than Garson ndg8f@virginia.edu of 
THDL & myself.

An newer updated version of this font - which I'm currently working  on 
should be available in within the next few weeks. Tibetan Machine Uni is 
probably the most suitable Tibetan font for UI purposes (menus, text 
editors and so on as it is fairly legible at smaller sizes). It also 
supports an absolutely huge number of Tibetan character combinations 
(maybe overkill for most purposes).

I have another open source Tibetan script font "Jomolhari"  entirely 
developed from scratch by myself which is more suitable for word 
processing and publications. You should be able to find in Debian CVS if 
you search for "Dzongkha fonts" - this font is also still under 
continuing development though I've been using present (alpha) version 
for a major publication project here in Bhutan with no problems.

Latest Pango & ICU support Tibetan script as a result of work by members 
of Dzongkha Linux project here which I'm involved in.

There is currently a small bug in both Pango & ICU which means that 
decomposition lookups under OpenType CCMP lookup dont work properly - 
only the first character of the decomposition is displayed. Also any 
following OpenType lookups under CCMP feature don't run. This does not
matter for most purposes or if characters are entered in decomposed form 
(as DZ-bt xkb file does). It also does not affect current version of 
Jomolhari font as lookups in that have been reordered to work round this 
problem until Pango & ICU are fixed)

GNOME is 100% translated for Dzongkha which uses Tibetan script.

OpenOffice, Mozilla, Firefox, Tunderbird and a number of other 
applications have also been translated for Dzongkha

- Chris Fynn

United Nations Volunteer
Thimphu, Bhutan


Comment 13 Jonas Nyman 2006-09-04 15:06:27 EDT
Twoe-mails I just recieved from David Germano and Christopher Walker:

Dear Jonas,
 
That would be great. What can we do to help faciliate this?  We can provide two 
fonts I would think - Tibet Machine Uni, and Jomolhari.  The latter is Chris's 
work; the former is Than and Chris working together. Both are GPL so you don't 
really need our permission do you? Chris do you have any problem giving 
permission to use Jomolhari??  Certainly we are happy to have TMU used.
 
As for input methods, you can see on THDL's web site what we have - TISE is 
wylie based, Chris's dzongkha keyboard, various keyman options which are trying 
to do away with.  Tashi Tsering also cc-ed here has devleoped a keyboard for a 
new Chiense national standard which would be inmportant to support - it will be 
in VISTA. Tashi what is status of sharing this with others?
 
Jonas, please tell me how I can further help and what you need from me.
David

----

Hi Jonas,

I'm Chris Walker, and I have several Tibetan Keyboard Utitilies up on 
THDL (Keyman for PC and two system input methods for Mac OS X)

I have been building Keyman scripts for many various Tibetan input 
methods and I was contacted by the developer for "Keyman Mapping for 
Linux" to test of my scripts to be compiled by his program to work in 
concert with SCIM.  Working with the Indiana University Linux SIG, we 
had success (I think in Ubuntu) in getting it to work.  Now that SCIM is 
finding more bundled exposure more distros like Ubuntu, it's less of a 
hassel to actually use such re-compiled Keyman scripts in Linux.  
Perhaps basic Unicode keyboards such as Dzongkha and Chinese National 
for Tibetan (with one-to-one mapping) shouldn't need or call for a 
Keyman script-SCIM solution, but Wylie input method was doable in both 
Windows and Linux without rewriting the Keyman script.

Rendering of Unicode complex scripts in Linux and in various 
applications  of course another issue, one I am less knowledgable over.  
I'm still new to Linux and depend heavily on the local SIG group.

best,
Chris W.
---

Does this help you guys? What more information is needed?
How do you plan to implement tibetan fonts and input method? I'm not clear over 
this... We need an input method that uses the wylie translitteration. Something 
like what Chris mentions...
Comment 14 Marcin Garski 2006-11-29 11:09:12 EST
Jomolhari Dzongkha font is available from:
http://sourceforge.net/project/showfiles.php?group_id=115503

As others mentioned input method for Dzongkha already exist, I don't know how it
could be useful as Tibetan input ("Dzongkha is written using the letters of the
same script used for writing the Tibetan language (\x0F00 - \x0FCF)." - from
Dzongkha Localization Project).

There is also DzongkhaLinux distribution, based on Debian, created by Bhutanese
Department of Information Technology (http://www.dit.gov.bt/).
Comment 15 Marcin Garski 2006-12-04 14:37:54 EST
I'm trying to push Tibetan Machine Uni into Fedora Extras, see bug #218342.
Comment 16 Marcin Garski 2007-03-12 18:43:36 EDT
As Tibetan Machine Uni is being reviewed I also submitted Jomolhari in bug #231911
Comment 17 Chris Fynn 2007-04-06 17:46:01 EDT
Dzongkha (DZ) XKB file can be used to input Tibetan. 

Western scholars generally prefer input methods based on typing "Wylie" or
"Extended Wylie" transliteration of Tibetan. scim-m17n has such a Wylie input
method available.

As Chris Walker mentioned there is also an official (Chinese) keyboard layout
for Tibetan - an implementation of which is included in MS Windows Vista -
should be possible to create an XKB file for this if someone has the details of it.

Comment 18 Marcin Garski 2007-06-30 19:04:28 EDT
What has been so far done for Tibetan & Bhutanese support:
- Tibetan Machine Uni font package
- Jomolhari font package
- tibetan-support group in comps (m17n-db-tibetan and scim-lang-tibetan)
- bhutanese-support group in comps
- Dzongkha language pack for OpenOffice.org

What could be done:
- Update xkeyboard-config to version 0.9 (bug #237369) which improves Dzongkha
XKB file

IMHO this bug could be closed as at this moment this it is almost all we could
do for Tibetan/Bhutanese support in Fedora, any objection?
Comment 19 Chris Fynn 2007-07-01 06:20:11 EDT
No objection. 

But it might be worth noting Dzongkha XKB file can also be used to type Tibetan.

- Chris

Comment 22 Jens Petersen 2007-08-07 23:24:33 EDT
I think the only major thing remaining is for the Tibetan locale to
be added to glibc (and xorg-x11) but that needs to be done upstream.

So I agree probably this could be closed except maybe to track the locale.
Comment 23 Chris Fynn 2007-08-07 23:51:58 EDT
(In reply to comment #22)
> I think the only major thing remaining is for the Tibetan locale to
> be added to glibc (and xorg-x11) but that needs to be done upstream.


The best person to contact re Tibetan locale data would be Ngodrup (Ouzhu)
<ngodrup@utibet.edu.cn> of the computer science department, University of Tibet,
Lhasa.
 
> So I agree probably this could be closed except maybe to track the locale.

yes.

regards

- Chris
Comment 24 Chris Fynn 2007-08-08 00:15:58 EDT
P.S. 
Latest version of Jomolhari Tibetan font is at: 
<https://savannah.nongnu.org/projects/free-tibetan/>

- Chris 
Comment 25 Akira TAGOH 2007-08-08 01:31:33 EDT
(In reply to comment #24)
> P.S. 
> Latest version of Jomolhari Tibetan font is at: 
> <https://savannah.nongnu.org/projects/free-tibetan/>

Please file a bug to jomolhari-fonts package through bugzilla instead of adding
a comment here. that's the way to get it updated efficiently unless the package
maintainer is aware of that.
Comment 26 Jens Petersen 2007-08-08 02:12:02 EDT
Chris, the current source in fedora is jomolhari-alpha003c.zip.
Presumably it is the same as jomolhari-alpha3c.tar.gz?
Comment 27 Chris Fynn 2007-09-16 20:34:53 EDT
yes
Comment 28 Jens Petersen 2007-09-17 20:45:49 EDT
I sent a mail to Ngodrup on 8 Aug about the locale
but did not receive a reply yet btw...
Comment 29 Chris Fynn 2007-10-25 00:55:47 EDT
Re Tibetan locale please see bug 350051
<https://bugzilla.redhat.com/show_bug.cgi?id=350051>

Comment 30 Jens Petersen 2008-01-03 02:21:27 EST
Bug 350051 is now in modified, so closing out this bug.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.